Subject: [Cbor] More Tags

From: Richter, Jörg <[email-masked]>
Date: Thu, 31 Jan 2019 13:39:31 +0000

Addional to the already proposed error-tag I need some more tags
to represent our data.
I am not sure if I am able to write new drafts like the error-draft myself 
alone and doing all the necessary paperwork to submit it. Or whatever
is required.
Thanks again to Carsten who helped me kindly with the error-draft.

I think it would be wrong to expect so much help with the next tags.
Therefore I would be pleased about suggestions or how-to's to get 
this tags standardized. But if someone wants to lend me a helping 
hand, I am of course not against it either.

For now I see a need for this new tags:

* ISO8601-Date "YYYY-MM-DD" or days since 1970-01-01
* ISO8601-Time of day "hh:mm[:ss[.f*]]" or (fractional) seconds since 00:00
* IANA Time zone (https://www.iana.org/time-zones) represented as string
* Currency (ISO 4217) represented as string ("USD"/"EUR"/...) or number (840/978/...)
* Money amount represented as 2-array of quantity + currency-string or currency-number
  - quantity should allow every possible number coding. Including decimal fractions and rationals.

Or are there already some tags for this use-cases I may have overlooked?

- Jörg

---

From: Thiago Macieira <[email-masked]>
Date: Thu, 31 Jan 2019 07:52:35 -0800

On Thursday, 31 January 2019 05:39:31 PST Richter, Jörg wrote:
> * Currency (ISO 4217) represented as string ("USD"/"EUR"/...) or number
> (840/978/...) * Money amount represented as 2-array of quantity +
> currency-string or currency-number - quantity should allow every possible
> number coding. Including decimal fractions and rationals.
> 

Date tags already exist. I suppose the one for ISO date/time could be extended 
to allow just dates, unless you specifically need to differentiate dates from 
date/times. But since you appear to need times too separate from date/time, 
for completeness it may be good to support dates separately too.

When writing your specification for money quantities, please write down which 
representations you expect implementations to support in all cases, leaving 
the others as optionals. I expect you may need to name decimal fractions as 
mandatory and implementations will need to know that.

-- 
Thiago Macieira - thiago.macieira (AT) intel.com
  Software Architect - Intel Open Source Technology Center